## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 25;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.0
%bcond_without check

# https://github.com/GoogleCloudPlatform/osconfig
%global goipath         github.com/GoogleCloudPlatform/osconfig
Version:                20231103.02
%global tag             %{version}

%gometa -f

%global common_description %{expand:
Google OS Config Agent}

Name:           google-osconfig-agent
Release:        %autorelease
Summary:        Google OS Config Agent

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

# Remove references to Google's ContainerOS since we're building this for
# Fedora.
Patch0:         google-osconfig-agent-remove-containeros.patch

# Remove serial port code because it depends on a very, very out of date serial module.
# https://github.com/GoogleCloudPlatform/guest-agent/issues/252
Patch1:         google-osconfig-agent-remove-serial-port-functionality.patch

BuildRequires:  systemd
BuildRequires:  systemd-rpm-macros

# Google Cloud only offers Arm and x86 instances.
ExcludeArch:    ppc64le s390x

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

# Examples directory isn't needed.
rm -rf examples

# e2e_tests require connectivity to Google's APIs and extra packages.
rm -rf e2e_tests

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/google_osconfig_agent %{goipath}

%install
%gopkginstall
install -m0755 -vd                      %{buildroot}%{_bindir}
install -m0755 -vp %{gobuilddir}/bin/*  %{buildroot}%{_bindir}/

install -m0644 -Dp %{name}.service      %{buildroot}%{_unitdir}/%{name}.service

%if %{with check}
%check
%gocheck -d agentendpoint -d config -d ospatch -d packages
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/google_osconfig_agent
%{_unitdir}/%{name}.service

%gopkgfiles

%post
%systemd_post %{name}
 
%preun
%systemd_preun %{name}
 
%postun
%systemd_postun_with_restart %{name}

%changelog
* Tue Nov 07 2023 Major Hayden <major@redhat.com> None-25
- Update to 20231103.02 rhbz#2240026

* Tue Nov 07 2023 Major Hayden <major@redhat.com> None-24
- Update packit config

* Thu Sep 21 2023 Major Hayden <major@redhat.com> None-23
- Update to 20230920.00

* Thu Sep 21 2023 Major Hayden <major@redhat.com> None-22
- Update to 20230920.00

* Thu Sep 14 2023 Major Hayden <major@redhat.com> None-21
- Update to 20230912.01

* Thu Sep 14 2023 Major Hayden <major@redhat.com> None-20
- Add packit config

* Fri Sep 01 2023 Major Hayden <major@redhat.com> None-19
- Update to 20230829.00

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> None-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Major Hayden <major@redhat.com> None-17
- Update to 20230706.02 rhbz#2221164

* Mon Jun 12 2023 Major Hayden <major@redhat.com> None-16
- Update to 20230605.00 rhbz#2212002

* Mon May 08 2023 Major Hayden <major@redhat.com> None-15
- Update to 20230504.00 rhbz#2193473

* Thu Apr 06 2023 Major Hayden <major@redhat.com> None-14
- Update to 20230403.00 rhbz#2183613

* Tue Mar 28 2023 Major Hayden <major@redhat.com> None-13
- Update to 20230327.00 rhbz#2172747

* Wed Feb 22 2023 Major Hayden <major@redhat.com> None-12
- Update to 20230217.00 rhbz#2170934

* Fri Feb 10 2023 Major Hayden <major@redhat.com> None-11
- Exclude some additional tests

* Fri Feb 10 2023 Major Hayden <major@redhat.com> None-10
- Update to 20230208.00 rhbz#2163679

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> None-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 05 2023 Major Hayden <major@redhat.com> None-8
- Skip the agentendpoint test

* Thu Jan 05 2023 Major Hayden <major@redhat.com> None-7
- Update to 20221214.00 rhbz#2153633

* Tue Oct 18 2022 Major Hayden <major@redhat.com> None-6
- Update to 20221013.01 rhbz#2135016

* Tue Aug 30 2022 Major Hayden <major@redhat.com> None-5
- Update to 20220829.00 rhbz#2122530

* Thu Aug 25 2022 Major Hayden <major@redhat.com> None-4
- Remove commented preset lines

* Thu Aug 25 2022 Major Hayden <major@redhat.com> None-3
- Update to 20220824.00 rhbz#2121287

* Tue Aug 23 2022 Major Hayden <major@redhat.com> None-2
- Initial import rhbz#2120396
